<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="MMTree"
    nsURI="platform:/resource/fr.cs.leplessis.example.tree/model/MMTree.ecore" nsPrefix="tree">
  <eClassifiers xsi:type="ecore:EClass" name="TreeElement" abstract="true">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Node" eSuperTypes="#//TreeElement">
    <eStructuralFeatures xsi:type="ecore:EReference" name="children" upperBound="-1"
        eType="#//TreeElement" containment="true"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Leaf" eSuperTypes="#//TreeElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="size" eType="#//LeafSize"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="LeafSize">
    <eLiterals name="small"/>
    <eLiterals name="medium" value="1"/>
    <eLiterals name="big" value="2"/>
  </eClassifiers>
</ecore:EPackage>
